<div class="cash-back-wrap">
  <div class="casb-back">
    <div class="cb-inner">
      <div class="cb-jeeni"><img src="assets/images/jeeni-cb.png"></div>
      <div class="cb-meter">
        <div>
          <h5>{{ 'CASH_BACK_HEADER' | translate: lang }}</h5>
        </div>
        <div class="cashback-progress row">

          <div class="col s3">
            <div class="cb-range br-1">
              <div class="cb-pro-t">{{settings.currencyId == 1 ? '&#x20B9;' : '$' }}0</div>
            </div>
            <mat-progress-bar mode="determinate"
              [value]="getInitialCashBack(cashback.totalOrderAmount, cashback.minOrderAmount)">
            </mat-progress-bar>
          </div>


          <div class="col s9">
            <div class="cb-range">
              <div class="cb-pro-t">{{ (cashback.minOrderAmount ? cashback.minOrderAmount : 0)  | customCurrencyFormat}}</div>
              <div class="cb-pro-t">{{ (cashback.maxCBOrderAmount ? cashback.maxCBOrderAmount : 0)  | customCurrencyFormat}}</div>
            </div>
            <mat-progress-bar mode="determinate" [value]="getCashBack(cashback)">
            </mat-progress-bar>
          </div>

        </div>

        <div class="cb-msg">
          <div class="cb-gab">
            <div class="cb-t">{{ 'PURCHASE' | translate: lang }}</div>
            <div class="cb-p" [ngClass]="{'highlight': (cashback.minOrderAmount < cashback.totalOrderAmount)}">
              {{cashback.totalOrderAmount | customCurrencyFormat}}</div>
          </div>
          <div>
            <div class="cb-t">{{ 'CASHBACK' | translate: lang }}</div>
            <div class="cb-p" [ngClass]="{'highlight': (cashback.minOrderAmount < cashback.totalOrderAmount)}">
              {{calculateCashback(cashback) | customCurrencyFormat}}
            </div>
          </div>
        </div>
        <div class="max-limit" *ngIf="cashback.totalOrderAmount >= cashback.maxCBOrderAmount">
          {{ 'MAX_CASHBACK' | translate: lang }}</div>
      </div>
    </div>
  </div>
  <div class="cb-package"><span
      class="captialize">{{ cashbackPlan[cashback.subscriptionPlan] | translate: lang }}</span>
    {{ 'PLAN' | translate: lang }} :
    {{cashback.subscriptionPlanOffer}}%</div>
</div>